PANDA_HEXSTRING(3)

NAME
panda_hexstring - take a string of possibly binary bytes, and represent them in hex

SYNOPSIS
 #include&lt;panda/constants.h&gt;
 #include&lt;panda/functions.h&gt;
 char *panda_hexstring(char *input);

DESCRIPTION

<command>PANDA INTERNAL</command>. This function converts a binary array of chars into an array of hex characters. An assumption is made that there are no zero bytes in the middle of the string.

RETURNS

A string of hex

EXAMPLE
 This is an internal function which will only be needed by those playing deeply with Panda itself, so I won't provide an example.

VERSION

This documentation was generated for Panda 0.5.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 - 2003, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.